<?
include_once ("../config.php");

// 퍼미션을 다음과 같은 형식으로 얻는다. drwxrwxrwx
function get_perms($mode)
{
    /* Determine Type */
    if( $mode & 0x1000 )
        $perms["type"] = 'p'; /* FIFO pipe */
    else if( $mode & 0x2000 )
        $perms["type"] = 'c'; /* Character special */
    else if( $mode & 0x4000 )
        $perms["type"] = 'd'; /* Directory */
    else if( $mode & 0x6000 )
        $perms["type"] = 'b'; /* Block special */
    else if( $mode & 0x8000 )
        $perms["type"] = '-'; /* Regular */
    else if( $mode & 0xA000 )
        $perms["type"] = 'l'; /* Symbolic Link */
    else if( $mode & 0xC000 )
        $perms["type"] = 's'; /* Socket */
    else
        $perms["type"] = 'u'; /* UNKNOWN */

    /* Determine permissions */
    $perms["owner_read"]    = ($mode & 00400) ? 'r' : '-';
    $perms["owner_write"]   = ($mode & 00200) ? 'w' : '-';
    $perms["owner_execute"] = ($mode & 00100) ? 'x' : '-';
    $perms["group_read"]    = ($mode & 00040) ? 'r' : '-';
    $perms["group_write"]   = ($mode & 00020) ? 'w' : '-';
    $perms["group_execute"] = ($mode & 00010) ? 'x' : '-';
    $perms["world_read"]    = ($mode & 00004) ? 'r' : '-';
    $perms["world_write"]   = ($mode & 00002) ? 'w' : '-';
    $perms["world_execute"] = ($mode & 00001) ? 'x' : '-';

    /* Adjust for SUID, SGID and sticky bit */
    if( $mode & 0x800 )
        $perms["owner_execute"] = ($perms["owner_execute"]=='x') ? 's' : 'S';
    if( $mode & 0x400 )
        $perms["group_execute"] = ($perms["group_execute"]=='x') ? 's' : 'S';
    if( $mode & 0x200 )
        $perms["world_execute"] = ($perms["world_execute"]=='x') ? 't' : 'T';

    return $perms;
}

// 파일이 존재한다면 설치할 수 없다.
/*-----------------------------------------------------------------------------------
if (file_exists("../dbconfig.php")) {
    echo "<meta http-equiv='content-type' content='text/html; charset=$g4[charset]'>";    
    echo <<<HEREDOC
    <script language="JavaScript">
    alert("설치하실 수 없습니다.");
    location.href="../";
    </script>
HEREDOC;
    exit;
}
*/




/*
// 루트 디렉토리에 파일, 디렉토리 생성 가능한지 검사.
$perms = get_perms(fileperms("../"));
if ($perms["world_read"].$perms["world_write"].$perms["world_execute"] != "rwx") {
    echo <<<HEREDOC
    <script language="JavaScript">
    alert("루트 디렉토리의 퍼미션을 707로 변경하여 주십시오.\\n\\ncommon.php 파일이 있는곳이 루트 디렉토리 입니다.\\n\\n$> chmod 707 . \\n\\n그 다음 설치하여 주십시오.");
    </script>
HEREDOC;
    exit;
}
*/

// 루트 디렉토리에 파일 생성 가능한지 검사.
if (!is_writeable("..")) 
{
    echo "<meta http-equiv='content-type' content='text/html; charset=$g4[charset]'>";
    echo "<script language='JavaScript'>alert('루트 디렉토리의 퍼미션을 707로 변경하여 주십시오.\\n\\ncommon.php 파일이 있는곳이 루트 디렉토리 입니다.\\n\\n$> chmod 707 . \\n\\n그 다음 설치하여 주십시오.');</script>"; 
    exit;
}


/*
$perms = get_perms(fileperms("../common.php"));
if ($perms["world_read"].$perms["world_write"] != "rw") {
    echo <<<HEREDOC
    <script language="JavaScript">
    alert("루트 디렉토리에 있는 common.php 파일의 퍼미션을 606 또는 707로 변경하여 주십시오.\\n\\n$> chmod 606 common.php \\n\\n그 다음 설치하여 주십시오.");
    </script>
HEREDOC;
    exit;
}
*/
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=<?=$g4[charset]?>">
<title>지음빌더 for 그누보드4 설치 (1/3) - 라이센스(License)</title>
<style type="text/css">
<!--
body {
    font-family: 굴림;
	font-size: 12px;
	background:url("./img/bg.gif");
}
.box {
	background-color:#F7F7F7;
    font-family:Dotum;
	font-size: 11px;
	line-height:150%;
	color:#656565;
	border:1px solid #B2B2B2;
	padding:10px;
	margin:10px 0 10px 0;
}

#zmb_agree_body	{ text-align:center; padding:50px; }
#zmb_agree_box	{ width:790px; margin:10px auto; background:#fff; border:1px solid #D3D3D3; }
.btn_agree	{ height:40px; cursor:pointer; background:#FF510B; color:#fff; border:1px; }
.btn_agree:hover { background:#FF0000; }
-->
</style>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="zmb_agree_body">
<div><img src="img/box_title.gif"></div>
<div id="zmb_agree_box">
	<div style=" padding:20px;">
	<div style="text-align:center; font-size:12px;">라이센스(License) 내용을 반드시 확인하십시오.</div>
	<div style="text-align:center;">
	<div style="text-align:left;"><b>그누보드4</b></div>
	<textarea name="textarea" style='width:99%' rows="12" class="box" readonly><?=implode("", file("../LICENSE"));?></textarea> 
	<div style="text-align:left; margin-top:10px;"><b>지음빌더4</b></div>
	<textarea name="textarea" style='width:99%' rows="12" class="box" readonly><?=implode("", file("../LICENSE-ZMB"));?></textarea> 
	</div>
	<div style="font-size:12px; line-height:150%;">
	설치를 원하시면 위 내용에 동의하셔야 합니다.<br>
	</div>
	<div>
	<input type="hidden" name="agree" value="동의함">
	<input type="button" value="취소" style="height:40px; cursor:pointer;" onclick="document.location.href='http://ziumsoft.co.kr'">
	<input type="button" name="btn_submit" value="예, 동의합니다" class="btn_agree" onclick="document.location.href='./install_config.php'">
	</div>
	</diV>
</div>
</div>

</body>
</html>